LumpTrophicSpecies {cheddar} | R Documentation

## Lump trophic species

### Description

Lump trophic species.

### Usage

    LumpTrophicSpecies(community, include.isolated=TRUE, title=NULL, ...)

### Arguments

`community` | an object of class `Community`.
`include.isolated` | if `TRUE` then nodes for which `IsIsolatedNode` is `TRUE` are given their own trophic species number. If `FALSE` the isolated species are assigned a trophic species of `NA`.
`title` | the title of the new `Community`.
`...` | other parameters to `LumpNodes`.

### Details

Aggregates nodes that share identical sets of prey and predators.

### Value

A `Community`.

### Author(s)

Lawrence Hudson

### References

Briand, F and Cohen, J.E. 1984 Community food webs have scale-invariant structure Nature 307, 264–267.

Jonsson, T. and Cohen, J.E. and Carpenter, S. R. 2005 Food webs, body size, and species abundance in ecological community description. Advances in Ecological Research 36, 1–84.

Pimm, S.L. and Lawton, J.H. and Cohen, J.E. 1991 Food web patterns and their consequences Nature 350, 669–674.

Williams, R.J. and Martinez, N.D. 2000 Simple rules yield complex food webs 404, 180–183.

### See Also

`TrophicSpecies`, `LumpNodes`, `IsIsolatedNode`

### Examples

    data(TL84)
    NumberOfNodes(TL84)

    TL84.lumped <- LumpTrophicSpecies(TL84)

    length(unique(TrophicSpecies(TL84)))    # 22 trophic species in TL84...
    NumberOfNodes(TL84.lumped)              # ... and 22 nodes in the lumped web

[Package cheddar version 0.1-633 Index]